ALAS2-2020-1457


Amazon Linux 2 Security Advisory: ALAS-2020-1457
Advisory Release Date: 2020-07-14 02:40 Pacific
Advisory Updated Date: 2020-07-17 00:45 Pacific
Severity: Medium
References: CVE-2019-13636 

Issue Overview:

In GNU patch through 2.7.6, the following of symlinks is mishandled in certain cases other than input files. This affects inp.c and util.c. (CVE-2019-13636 )


Affected Packages:

patch


Issue Correction:
Run yum update patch to update your system.

New Packages:
aarch64:
    patch-2.7.1-12.amzn2.0.2.aarch64
    patch-debuginfo-2.7.1-12.amzn2.0.2.aarch64

i686:
    patch-2.7.1-12.amzn2.0.2.i686
    patch-debuginfo-2.7.1-12.amzn2.0.2.i686

src:
    patch-2.7.1-12.amzn2.0.2.src

x86_64:
    patch-2.7.1-12.amzn2.0.2.x86_64
    patch-debuginfo-2.7.1-12.amzn2.0.2.x86_64